------------------------------------------------------------------------------------
--Name:  	juqing2
--Creator:	由剧情表现脚本编辑器生成
--Created:	2024-03-28
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(345, 298)
CppScriptMgr:SetViewScale(300)
local effect_0 = CppScriptMgr:AddEffect("_p_48_7196750", 345, 298, 33, 1, 1, 1)
effect_0:Scale(0.5, 0.5, 0.5)
CppScriptMgr:WaitMilSec(780)
local Effect_2 = CppScriptMgr:AddEffect("RFT_rw", 345, 298, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(210)
local Player_1 = ChangeSize(345, 298, "_p_48_7196750", 50, 300, 10, 33)
CppScriptMgr:ClearEffect(effect_0)
CppScriptMgr:WaitMilSec(1550)
CppScriptMgr:ClearEffect(Effect_2)
CppScriptMgr:WaitMilSec(460)
local Effect_3 = CppScriptMgr:AddEffect("CSGX_hong", 348, 305, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(990)
CppScriptMgr:ClearEffect(Effect_3)
local Player_2 = CppScriptMgr:AddPlayer(151, 348, 305, "Muncher", 0, 0)
Player_2:SetDir(4)
CppScriptMgr:WaitMilSec(1000)
Player_2:Say("Wow! Cream Flowers are blooming!", 1500)
Player_2:SetAction(401)
CppScriptMgr:WaitMilSec(1440)
Player_2:SetAction(101)
Player_2:Say("My mouth is watering!", 1500)
CppScriptMgr:WaitMilSec(2000)